Skip to content

Add internal note

Request

Create an internal note in a conversation by providing the conversation id.

Security
ApiKeyAuth
Path
conversationIdinteger, (int64)required
Bodyapplication/jsonrequired

The internal note to create for a conversation

messagestringrequired
agentIdstring, (uuid)
createdAtstring, (date-time)
POST
/v1/conversations/{conversationId}/notes
curl -i -X POST \
  'https://dev.dixa.io/v1/conversations/{conversationId}/notes' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "message": "A sample note",
    "agentId": "a53b25da-f676-4c52-acac-58c9280aa23d",
    "createdAt": "2021-12-01T12:46:36.581Z[GMT]"
  }'

Responses

The created internal note

Bodyapplication/json
dataobject(InternalNoteData)required
Response
{ "data": { "id": "eb31acbb-13f9-4ce7-abd3-44dd86266741", "authorId": "5e8a300e-787e-47cd-af53-fc1ccc37933d", "createdAt": "2021-12-01T12:46:36.581Z[GMT]", "csid": 9456, "message": "A sample note" } }